> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reverse Journal Entry

> This endpoint creates a reversal entry for an existing journal entry.

### Path Parameters

<ParamField path="business_id" required="true" type="string">
  ID of the Business to create the reversal entry for.
</ParamField>

<ParamField path="entry_id" required="true" type="string">
  ID of the Journal Entry to create a reversal entry for.
</ParamField>

### Response

Returns a Journal Entry with one of the following status codes:

* 201 Created - A new reversal entry was successfully created.
* 200 OK - The journal entry was already reversed.

The response contains the existing or newly created reversal [Journal Entry](/api-reference/ledger/chart#journal-entry-object)

<RequestExample>
  ```bash Request theme={null}
  curl -X POST https://sandbox.layerfi.com/v1/businesses/d2f6d97f-3345-4299-9ec2-468738c5d536/ledger/entries/3b062adc-6877-4f28-accf-2acd220ef13b/reverse \
    -H "Authorization: Bearer <access_token>" \
    -H "Content-Type: application/json"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "data": {
          "type": "Ledger_Entry",
          "id": "1fe5ccfc-9dbb-444a-8cb8-e2874e98433e",
          "business_id": "f9baa8fd-9413-4bcf-810b-6d32604de649",
          "ledger_id": "0f4bb90e-1c43-4994-81e8-aac4dcd6e380",
          "agent": "API",
          "entry_type": "REVERSAL",
          "date": "2024-05-30T21:43:14.079497Z",
          "entry_at": "2024-05-01T19:00:00Z",
          "reversal_of_id": "8a01e025-c111-4360-b3e0-eecaf70a560e",
          "reversal_id": null,
          "line_items": [
              {
                  "id": "e40d6f90-a820-4f0c-9d46-c6ff50975fb8",
                  "entry_id": "1fe5ccfc-9dbb-444a-8cb8-e2874e98433e",
                  "account": {
                      "id": "50edc310-66ab-4380-b1de-0d52c24821b2",
                      "name": "Rent",
                      "stable_name": "RENT_EXPENSE",
                      "normality": "DEBIT",
                      "account_type": {
                          "value": "EXPENSE",
                          "display_name": "Expenses"
                      },
                      "account_subtype": {
                          "value": "OPERATING_EXPENSES",
                          "display_name": "Operating Expenses"
                      }
                  },
                  "amount": 250000,
                  "direction": "CREDIT",
                  "entry_at": "2024-05-01T19:00:00Z",
                  "createdAt": "2024-05-30T21:43:14.079497Z"
              },
              {
                  "id": "5e9f885f-eda5-41e0-be05-c5e3d04ddce8",
                  "entry_id": "1fe5ccfc-9dbb-444a-8cb8-e2874e98433e",
                  "account": {
                      "id": "5c114ae2-0e6f-4798-8e9a-f7e1c892e2fa",
                      "name": "Layer Demo Banking",
                      "stable_name": null,
                      "normality": "DEBIT",
                      "account_type": {
                          "value": "ASSET",
                          "display_name": "Assets"
                      },
                      "account_subtype": {
                          "value": "BANK_ACCOUNTS",
                          "display_name": "Bank Accounts"
                      }
                  },
                  "amount": 250000,
                  "direction": "DEBIT",
                  "entry_at": "2024-05-01T19:00:00Z",
                  "createdAt": "2024-05-30T21:43:14.079497Z"
              }
          ],
          "invoice": null,
          "manual_entry": null,
          "source": {
              "type": "Transaction_Ledger_Entry_Source",
              "transaction_id": "073afbfd-e25d-4c62-b591-060740f00cf8",
              "external_id": "12345-1234-expense-243",
              "account_name": "Layer Demo Banking",
              "date": "2024-05-01T19:00:00Z",
              "amount": 250000,
              "direction": "DEBIT",
              "counterparty": "WeWork",
              "entity_name": "Bank Transaction",
              "display_description": "Layer Demo Banking transaction May 1"
          }
      }
  }
  ```
</ResponseExample>
